summaryrefslogtreecommitdiff
path: root/tests/rm
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm')
-rwxr-xr-xtests/rm/inaccessible6
-rwxr-xr-xtests/rm/unread312
2 files changed, 9 insertions, 9 deletions
diff --git a/tests/rm/inaccessible b/tests/rm/inaccessible
index 721210a2a..02128d70e 100755
--- a/tests/rm/inaccessible
+++ b/tests/rm/inaccessible
@@ -56,9 +56,9 @@ fail=0
p=$pwd/$tmp
set +x
-(cd no-access; chmod 0 . && rm -r "$p"/abs1 rel "$p"/abs2) 2> out && fail=1
-test -d "$p"/abs1 && fail=1
-test -d "$p"/abs2 && fail=1
+(cd no-access; chmod 0 . && rm -r "$p/abs1" rel "$p/abs2") 2> out && fail=1
+test -d "$p/abs1" && fail=1
+test -d "$p/abs2" && fail=1
cat <<\EOF > exp || fail=1
rm: cannot remove `rel': Permission denied
diff --git a/tests/rm/unread3 b/tests/rm/unread3
index c8af5cfe7..4021a39d2 100755
--- a/tests/rm/unread3
+++ b/tests/rm/unread3
@@ -47,16 +47,16 @@ chmod u=x,go= .
t=$pwd/$tmp
# With coreutils-5.2.1, this would get a failed assertion.
-rm -r "$t"/a "$t"/b || fail=1
+rm -r "$t/a" "$t/b" || fail=1
# With coreutils-5.2.1, this would get the following:
# rm: cannot get current directory: Permission denied
# rm: failed to return to initial working directory: Bad file descriptor
-rm -r "$t"/d "$t"/e || fail=1
+rm -r "$t/d" "$t/e" || fail=1
-test -d "$t"/a && fail=1
-test -d "$t"/b && fail=1
-test -d "$t"/d && fail=1
-test -d "$t"/e && fail=1
+test -d "$t/a" && fail=1
+test -d "$t/b" && fail=1
+test -d "$t/d" && fail=1
+test -d "$t/e" && fail=1
(exit $fail); exit $fail